libnjb 2.2.7

Data Fields
njb_playlist_track_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
u_int32_t | trackid
struct njb_playlist_track_struct * | prev
struct njb_playlist_track_struct * | next

## Detailed Description

This struct is used for representing a track that is part of a `njb_playlist_t` playlist

Examples:
  pl.c, and playlists.c.

## Field Documentation

## ◆ next

struct njb_playlist_track_struct* njb_playlist_track_struct::next

The next track in the playlist

Referenced by NJB_Playlist_Deltrack_TrackID(), NJB_Playlist_Destroy(), and NJB_Playlist_Gettrack().

## ◆ prev

struct njb_playlist_track_struct* njb_playlist_track_struct::prev

The previous track in the playlist

Referenced by NJB_Playlist_Deltrack_TrackID().

## ◆ trackid

u_int32_t njb_playlist_track_struct::trackid

The track ID as used on the device

Examples:
  pl.c, and playlists.c.

Referenced by NJB_Playlist_Deltrack_TrackID(), and NJB_Playlist_Track_New().

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/libnjb.h